Package net.shibboleth.idp.module

# Interface IdPModule

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `Module`

All Known Implementing Classes:
  `CAS`, `CommandLine`, `Consent`, `ContextCheck`, `Core`, `CoreIdPModule`, `Demo`, `EditWebApp`, `ExpiringPassword`, `Hello`, `Impersonate`, `IPAddress`, `MFA`, `Password`, `PluginIdPModule`, `PropertyDrivenIdPModule`, `SPNEGO`, `UnlockKeys`, `UserPrefs`, `Warning`, `X509`

public interface IdPModule extends Module
This interface is exported (via the service API) by every IdP module.

Since:
  4.1.0

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.shibboleth.profile.module.Module

`Module.ModuleResource, Module.ResourceResult`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`IDPNEW_EXT_BASE`
Base extension for adding new default files.
`static final String`
`IDPSAVE_EXT`
Extension for preserving user files.

## Method Summary

Modifier and Type
Method
Description
`default String`
`getNewExtension()`
`default String`
`getSaveExtension()`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.module.Module

`disable, enable, enable, getDescription, getName, getOwnerId, getResources, getURL, isEnabled, isHttpClientRequired`

## Field Details

### IDPSAVE_EXT

@Nonnull @NotEmpty static final String IDPSAVE_EXT
Extension for preserving user files.

See Also:
  - Constant Field Values

### IDPNEW_EXT_BASE

@Nonnull @NotEmpty static final String IDPNEW_EXT_BASE
Base extension for adding new default files.

See Also:
  - Constant Field Values

## Method Details

### getSaveExtension

@Nonnull default String getSaveExtension()

Specified by:
  `getSaveExtension` in interface `Module`

### getNewExtension

@Nonnull default String getNewExtension()

Specified by:
  `getNewExtension` in interface `Module`